.navigationKNP{
    display: inline-block;
    text-align: center!important;
    margin: 0 auto!important;
}

.navigationKNP > div{
    display: inline-block;
    text-align: center!important;
    margin: 0 auto!important;
}

.navigationKNP > div > span > a {
    color: black;
    float: left;
    padding: 8px 16px;
    text-decoration: none;
    border-radius: 5px;
    transition: background-color .3s;
    border: 1px solid #ddd; /* Gray */
    margin: 0 4px; /* 0 is for top and bottom. Feel free to change it */
    font-size: 22px;
}

.navigationKNP > div > span.current {
    background-color: #4CAF50;
    color: white;
    border-radius: 5px;
    float: left;
    padding: 8px 16px;
    text-decoration: none;
    transition: background-color .3s;
    border: 1px solid #ddd; /* Gray */
    margin: 0 4px; /* 0 is for top and bottom. Feel free to change it */
    font-size: 22px;
}

.navigationKNP > div > span:first-child {
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}

.navigationKNP > div > span:last-child {
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
}

body {
    padding-bottom: 60px !important;
}

#pageTitleDiv {
    margin: 0 !important;
    padding: 0 !important;
    height: 50px !important;
    margin-top: 15px !important;
    margin-bottom: 15px !important;
    border-bottom: 1px solid slategray !important;
}

#pageTitleDiv div {
    margin: 0 !important;
    padding: 0 !important;
    float: left !important;
}

#pageTitleDiv div:last-child {
    text-align: right !important;
}

#createNew {
    margin-top: 15px !important;
}

.crudTable {
    width: 100% !important;
    max-width: 100% !important;
    min-width: 100% !important;
}

.crudTable thead tr th:last-child, .crudTable tbody tr td:last-child {
    width: 91px !important;
    min-width: 91px !important;
    max-width: 91px !important;
}

.crudTable tbody tr td:last-child a {
    float: left !important;
    margin-right: 5px !important;
}

#crudFormDiv {
    margin: 0 !important;
    padding: 0 !important;
}

#crudFormDiv fieldset legend {
    font-size: 16px !important;
    font-weight: bold !important;
    border-bottom: 1px solid grey !important;
    margin-bottom: 10px !important;
}

#crudFormDiv fieldset {
    padding: 0 !important;
    margin: 0 !important;
}

#crudFormDiv label {
    float: left;
    width: 100%;
    margin: 5px 0;
}

#crudFormDiv input, #crudFormDiv select {
    width: 100%;
    height: calc(2.25rem + 2px) !important;;
}

#crudFormDiv textarea {
    width: 100%;
    height: 110px !important;;
}

#crudFormDiv .form-check-input {
    float: none !important;
    width: auto !important;
    margin: 0 !important;
    position: absolute !important;
    margin-top: .7rem !important;
    margin-left: -1.25rem !important;
}

#crudFormDiv .form-check-label {
    float: none !important;
    width: auto !important;
    margin: 0 !important;
    margin-top: 7px !important;
}

#crudFormDiv .custom-file-input {
    float: none !important;
    position: relative;
    z-index: 2 !important;
    width: 100% !important;
    height: calc(2.25rem + 2px) !important;
    margin: 0 !important;
    opacity: 0 !important;
}

#crudFormDiv .custom-file-label {
    float: none !important;
    width: auto !important;
    margin: 0 !important;
    position: absolute !important;
    top: 0 !important;
    right: 0 !important;
    left: 0 !important;
    z-index: 1 !important;
    height: calc(2.25rem + 2px) !important;
    padding: .375rem .75rem !important;
    line-height: 1.5 !important;
    color: #495057 !important;
    background-color: #fff !important;
    border: 1px solid #ced4da !important;
    border-radius: .25rem !important;
}

#crudFormDiv .form-group {
    float: left;
    margin-bottom: 15px !important;
}

#crudFormDiv form {
    width: 100% !important;
}

#crudDeleteForm {
    float: left !important;
}

.crudFormButton {
    float: right !important;
}

.row {
    width: 100% !important;
    margin: 0;
    padding: 0;
}

.dataTables_wrapper {
    padding: 0 !important;
}

.dt-buttons {
    margin-left: 15px !important;
}

.navigationKNP {
    display: inline-block;
    text-align: center !important;
    margin: 0 auto !important;
}

.navigationKNP > div {
    display: inline-block;
    text-align: center !important;
    margin: 0 auto !important;
}

.navigationKNP > div > span > a {
    color: black;
    float: left;
    padding: 8px 16px;
    text-decoration: none;
    border-radius: 5px;
    transition: background-color .3s;
    border: 1px solid #ddd; /* Gray */
    margin: 0 4px; /* 0 is for top and bottom. Feel free to change it */
    font-size: 22px;
}

.navigationKNP > div > span.current {
    background-color: #4CAF50;
    color: white;
    border-radius: 5px;
    float: left;
    padding: 8px 16px;
    text-decoration: none;
    transition: background-color .3s;
    border: 1px solid #ddd; /* Gray */
    margin: 0 4px; /* 0 is for top and bottom. Feel free to change it */
    font-size: 22px;
}

.navigationKNP > div > span:first-child {
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}

.navigationKNP > div > span:last-child {
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
}

.select2 {
    width: 100% !important;
    min-width: 100% !important;
    max-width: 100% !important;
}

* {
    box-sizing: border-box;
}

#nameSelect {
    background-position: 10px 12px;
    background-repeat: no-repeat;
    width: 100%;
    font-size: 16px;
    padding: 12px;
    border: 1px solid #aaa;
    margin-bottom: 5px;
    height: 35px;
    border-radius: 5px;
}

#nameSelect:focus {
    border: 1px solid black;
}

#nameSelectUl::-webkit-scrollbar {
    display: none;
}

#nameSelectUl {
    position: absolute;
    width: 100%;
    list-style-type: none;
    padding: 0;
    margin: 0;
    display: none;
    height: 300px !important;
    min-height: 300px !important;
    max-height: 300px !important;
    overflow-y: scroll !important;
    -ms-overflow-style: none !important;
}

#nameSelectUl li a {
    border: 1px solid #ddd;
    margin-top: -1px; /* Prevent double borders */
    background-color: #f6f6f6;
    padding: 8px;
    text-decoration: none;
    font-size: 13px;
    color: black;
    display: block
}

#nameSelectUl li a:hover:not(.header) {
    background-color: #eee;
}

#overlay {
    overflow: hidden;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: #55acee;
    border: 1px solid #aaa;
    border-radius: 4px;
    cursor: default;
    float: left;
    margin-right: 10px;
    margin-top: 10px;
    padding: 0 5px;
}

.navbar-header a b img {
    width: 110px;
}

.vue-treeselect{
    width: 100%!important;
}

.vue-treeselect__value-container{
    overflow-y: scroll!important;
    overflow-x: hidden!important;
    height: 200px!important;
    min-height: 200px!important;
    max-height: 200px!important;
    display: block!important;
}
.vue-treeselect__control{
    height: 200px!important;
    min-height: 200px!important;
    max-height: 200px!important;
    display: block!important;
    padding: 0!important;
}
.vue-treeselect__menu{
    height: 500px!important;
    min-height: 500px!important;
    max-height: 500px!important;
}

/* TODO: TELEFON MODUNA GEÇTİĞİNDE BU CSS UYGULANIR WE EN ALTTA OLMALIDIR */
@media screen and (min-width: 0px) and (max-width: 767px) {

}
